Media Page Reporting

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is used to pull reporting for an entire program at any grain.

This endpoint requires authorization via an authorization header. Please work with the Koddi team to receive credentials that can be used in the Sessions - Login endpoint. Details for this sessions endpoint can be found here.

Inputs

Field Type Description Required
currency_code string The currency code that any monetary fields will be converted to. Optional (Advertiser currency is default)
dimensions array of strings The list of dimensions to retrieve and report on.

These are available options to include in the dimensions array:
  • ad_group_id
  • ad_group_media_type
  • ad_group_name
  • ad_group_short_id
  • advertiser_id
  • advertiser_name
  • advertiser_type
  • auction_rank
  • campaign_id
  • campaign_name
  • conversion_source
  • creative_key
  • creative_name
  • daily_date
  • entity_group
  • entity_group_id
  • entity_id
  • entity_name
  • entity_type
  • entity_type_id
  • experience_name
  • hour (please review with your Koddi team before using)
  • io_line_item_amount
  • io_line_item_name
  • io_line_item_number
  • io_name
  • io_number
  • io_remaining_amount
  • io_total_amount
  • keyword
  • media_type
  • month_date
  • onsite_organic_rank (if passed for sponsored listings)
  • onsite_paid_rank (if passed for sponsored listings)
  • purchased_entity_id
  • purchased_entity_name
  • site_id
  • slot
  • week_date
Also, you can request addiitonal items (your Koddi team will help with identitying the values to use):
  • Any configured targeting parameter
  • Any item included in a feed (entities, audiences, merchant/POS data)
  • Any meta data (at the advertiser, campaign or ad group level)
  • Any custom attributes

Please note that only a subset of these dimensions might be relevant to your program. Please consult your Koddi representative to determine which dimensions to include in your API call.
Required
metrics array of strings The list of metrics to retrieve and report on.

These are available options to include in the metrics array:
  • ad_group_budget_recommendation
  • auctions_won
  • avg_auction_rank
  • avg_auction_rank_all_auctions
  • avg_bid
  • avg_bid_all_auctions
  • avg_onsite_organic_rank (if passed for sponsored listings)
  • avg_onsite_paid_rank (if passed for sponsored listings)
  • click_through_rate
  • clicked_conversion_rate
  • clicked_order_value_avg
  • clicked_unit_price_avg
  • clicks
  • clicks_at_price_floor
  • cost
  • cost_per_click
  • cost_per_thousand
  • eligible_entity_count
  • entity_count
  • halo_exposed_revenue
  • halo_exposed_roas
  • halo_exposed_transactions
  • halo_exposed_units
  • halo_revenue
  • halo_roas
  • halo_transactions
  • halo_units
  • hours_live
  • impressions
  • opportunities
  • share_of_voice
  • targeted_opportunities
  • unique_user_clicks
  • unique_user_conversions
  • unique_user_impressions
  • video_average_duration_viewed
  • video_complete_view_rate
  • video_completes
  • video_first_quartile_view_rate
  • video_first_quartile_views
  • video_pauses
  • video_second_quartile_view_rate
  • video_second_quartile_views
  • video_starts
  • video_third_quartile_view_rate
  • video_third_quartile_views
  • video_view_through_rate
  • viewed_conversion_rate
  • viewed_order_value_avg
  • viewed_unit_price_avg
  • win_rate
  • win_rate_with_auctions_won

Please note that only a subset of these dimensions might be relevant to your program. Please consult your Koddi representative to determine which dimensions to include in your API call.
Required
filters object The list of metrics or dimensions to filter on, and their operators. Optional
field string The name of the dimension or metric you want to filter on Required if filters object is present
operation string The operator of the filter Required if filters object is present
value string The value of the dimension or metric that you want to filter on Required if filters object is present
pagination object The pagination parameters. Optional
start integer The start index. Optional
count integer The count of objects to return. If null then ONLY 250 rows will be returned. Optional
sort array of objects The list of sort options. Will sort by last_modified ascending by default. Optional
field string The field to sort on. Required if sort object array is present
order string The order to sort by, either ASC or DESC. Optional. The report will sort in ascending order if not provided.
advertisers array of integers The list of advertisers to be included in the report Required
start_date string The start date of the report date range. Required
end_date string The end date of the report date range. Required
📘

A note on the pagination count...

If no count variable is provided, only the first 250 records will be returned.

Response

Field Type Description
headers array of objects The list of headers for the report. This corresponds directly to the metrics and dimensions included in the request.
name string The internal name of the field.
title string The user-facing label of the field.
type string The field type.
data array of objects The list of dictionary data point objects. These have keys corresponding to the headers.

Try it!

Body Params
string
required

The type of report to pull. Please work with your Koddi team to determine which report type best fits your use case.

string

If the report_type is "trend, you must indicate which trend type to pull, which will determine how the data is rolled up. Options are daily, weekly, monthly, or yearly. Trend type can be null if report type is not "trend"

string
required

The reporting context. Different values will indicate which predetermined set of metrics and dimensions are returned in the results. Please work with your Koddi team to determine which context best fits your use case.

dimensions
array of strings
required

The list of dimensions to retrieve and report on. These will be added to any that are relevant to the provided context

dimensions*
metrics
array of strings
required

The list of metrics to retrieve and report on. These will be added to any that are relevant to the provided context

metrics*
advertiser_ids
array of int32s
required

The advertiser IDs related to the data needed. The authenticating user must have access to the advertisers for the authorization to work.

advertiser_ids*
pagination
object

Optional (will be ALL elements by default). The pagination parameters.

sort
array of objects

Optional (will be last_modified ASC by default). The list of sort options.

sort
filters
array of objects

The list of filter options

filters
string
required

The start date of the reporting date range

string
required

The end date of the reporting date range

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json